<?php


namespace App\Codes;


use Illuminate\Support\Str;

class CodeHandler implements CodeGenerator
{

    /**
     * @return string
     */
    public function promotionCode(): string
    {
        return 'PROMO' . Str::lower(Str::random(7));
    }

    /**
     * @return string
     */
    public function trackingCode(): string
    {
        return 'ORDER' . mt_rand(100000000, 999999999);
    }

    /**
     * @return string
     */
    public function referralCode(): string
    {
        return 'REFER' . Str::lower(Str::random(7));
    }
}
