<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class CustomerClub extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function getImageAttribute($value): string
    {
        return Storage::url($value);
    }

    public function getBottomPicAttribute($value): string
    {
        return Storage::url($value);
    }

}
