<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Laravel\Sanctum\HasApiTokens;

class Event extends Model
{
    use HasFactory, HasApiTokens, SoftDeletes;

    protected $guarded = [];

    public function slider()
    {
        return $this->belongsTo(Slider::class, 'slider_id');
    }

    public function product()
    {
        return $this->belongsTo(Product::class, 'product_id');
    }
}
