<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class MostSoldProduct extends Model
{
    use HasFactory;
    protected $guarded = [];


    public function product(): BelongsTo
    {
        return $this->belongsTo(Product::class, 'product_id');
    }
}
