<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Laravel\Sanctum\HasApiTokens;

class Rank extends Model
{
    use HasFactory, HasApiTokens;

    protected $guarded = [];

    public function users()
    {
        return $this->belongsToMany(User::class, 'ranks_users');
    }
}
