<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Laravel\Sanctum\HasApiTokens;

class Role extends Model
{
    use HasFactory, HasApiTokens,SoftDeletes;
    protected $guarded=['id'];

    public function admins()
    {
        return $this->belongsToMany(Admin::class, 'admin_role');
    }

    public function permissions()
    {
        return $this->belongsToMany(Permission::class, 'permission_role');
    }
}
