<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Laravel\Sanctum\HasApiTokens;

class Sentence extends Model
{
    protected $guarded=[];
    use HasFactory,HasApiTokens,SoftDeletes;

    public function categories()
    {
        return $this->morphToMany(Category::class,'category');
    }

    public function tag()
    {
        return $this->belongsTo(Tag::class,'tag_id');
    }
}
