<?php


namespace App\Services\Address;


use App\Models\Address;
use Illuminate\Http\Request;

class ReadAddress
{
    public function read(Request $request,$id)
    {
        $user=$request->user()->id;

        $address=$user->addresses()->findOrFail($user->addresses()->get()[$id-1]->id);
        return [
            'success' => true,
            'address' => [
                'location' => $address->location,
                'receiver_name' => $address->receiver_name,
                'receiver_phone_number' => $address->receiver_phone_number,
            ],
        ];
    }

    public function userAddress($id)
    {
        $address = Address::query()->find($id);
        if (!$address) {
            return [
                'success' => false,
                'message' => 'آدرس مورد نظر یافت نشد.'
            ];
        }
        return [
            'success' => true,
            'address' => $address
        ];
    }
}
