<?php


namespace App\Services\Admin;


use App\Models\Admin;

class DeleteAdmin
{
    public function delete($id)
    {
        $admin=Admin::query()->find($id);
        if (!$admin){
            return [
                'success' => false,
                'message' => 'ادمین مورد نظر یافت نشد'
            ];
        }
        if (request()->user()->id == $id) {
            return [
                'success' => false,
                'message' => 'ادمین نمیتواند خود را حذف کند'
            ];
        }
        $admin->forceDelete();
        return [
            'success' => true,
            'message' => 'ادمین مورد نظز با موفقیت حذف گردید'
        ];
    }
}
