<?php


namespace App\Services\Association;


use App\Http\Requests\CreateAssociationRequest;
use App\Models\Association;

class CreateAssociation
{
    public function make(CreateAssociationRequest $request)
    {
        $request->validated();
        return [
            'success' => true,
            'association' => Association::query()->create($request->validated())
        ];
    }
}
