<?php


namespace App\Services\Branch;


use App\Models\Branch;

class AllBranches
{
    /**
     * @return array
     */
    public function all(): array
    {
        $branches = Branch::with(['products', 'limitations', 'limitations.category'])->get();
        return [
            'success' => true,
            'branches' => $branches
        ];
    }
}
