<?php


namespace App\Services\Event;


use App\Models\Product;
use App\Models\Slider;
use Illuminate\Http\Request;

class AllEvents
{
    public function all(Request $request)
    {
        $id=$request->validate([
            'slider' => 'required|integer|exists:sliders,id'
        ]);
        $slider = Slider::with('events.product')->find($id['slider']);
        if (!$slider){
            return [
                'success' => false,
                'message' => 'اسلایدر یافت نشد'
            ];
        }
        return [
            'success' => true,
            'slider' => $slider
        ];
    }
}
