<?php


namespace App\Services\Faq;


use App\Models\Faq;
use Illuminate\Http\Request;

class AllFaqs
{
    /**
     * @param Request $request
     * @return array
     */
    public function all(Request $request): array
    {
        return [
            'success' => true,
            'faqs' => $this->getPage($request->query('page'))
        ];
    }

    /**
     * @param $name
     * @return mixed
     */
    protected function getPage($name)
    {

        if ($name == 'all') {
            return Faq::query()->get();
        }
        return Faq::query()->where('page', $name)->get();
    }
}
