<?php


namespace App\Services\Faq;


use App\Models\Faq;

class DeleteFaq
{
    public function delete($id)
    {
        $faq = Faq::query()->find($id);

        if (!$faq) {
            return [
                'success' => false,
                'message' => 'سوالات متداول مورد نظر یافت نشد.'
            ];
        }
        Faq::query()->where('faq_id', $faq->id)->delete();
        $faq->forceDelete();
        return [
            'success' => true
        ];
    }
}
