<?php


namespace App\Services\Faq;


use App\Http\Requests\UpdateFaqRequest;
use App\Models\Faq;

class UpdateFaq
{
    public function update(UpdateFaqRequest $request, $id)
    {
        $request->validated();
        $faq = Faq::query()->find($id);
        if (!$faq) {
            return [
                'success' => false,
                'message' => 'سوالات متداول مورد نظر یافت نشد.'
            ];
        }
        $faq->update($request->validated());
        return  [
            'success' => true,
            'faq' => $faq
        ];
    }
}
