<?php


namespace App\Services\InstaPic;


use App\Models\InstaPic;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class UpdateInstaPic
{
    public function update(Request $request, $id)
    {
        $insta_pic = InstaPic::query()->find($id);
        if (!$insta_pic) {
            return [
                'success' => false,
                'message' => 'عکسی یافت نشد'
            ];
        }
        $image = $request->image;
        $filename = time() . '_' . Str::random(5) . '.' . $image->getClientOriginalExtension();
        $insta_pic->update([
            'image' => $filename
        ]);
        return [
            'success' => true,
            'insta_pic' => $insta_pic
        ];
    }
}
