<?php


namespace App\Services\Notification;


use App\Models\User;
use Illuminate\Http\Request;

class CreateNotificationForUser
{
    public function create(Request $request,$id)
    {
        $data = $request->validate([
            'text' => 'required',
        ]);
        $user = User::find($id);
        if (!$user) {
            return [
                'success' => false,
                'message' => 'کاربر مورد نظر یافت نشد'
            ];
        }
        $notification = $user->notifications()->updateOrCreate($data);
        return [
            'success' => true,
            'notification' => $notification,
        ];
    }
}
