<?php


namespace App\Services\Notification;


use App\Models\Notification;

class DeleteById
{
    public function delete($id)
    {
        $notification = Notification::query()->find($id);
        if (!$notification) {
            return [
                'success' => false,
                'message' => 'پیام مورد نظر یافت نشد'
            ];
        }
        $notification->forceDelete();
        return [
            'success' => true,
            'message' => 'پیام مورد نظر با موفقیت حذف گردید'
        ];
    }
}
