<?php


namespace App\Services\Notification;


use App\Models\User;
use Illuminate\Http\Request;

class ReadNotification
{
    public function read(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        $count=$user->notifications()->get()->count();
        if ($id>$count){
            return [
                'success' => false,
                'message' => 'پیام مورد نظر یافت نشد'
            ];
        }
        $notification=$user->notifications()->get()[$id-1];
        return [
            'success' => true,
            'notification' => $notification,
        ];
    }
}
