<?php


namespace App\Services\Order;


use App\Models\Product;
use App\Models\User;
use Illuminate\Http\Request;

class AllOrders
{
    public function all(Request $request)
    {
        $user=User::findOrFail($request->user()->id);
        $orders=$user->orders()->get();
        foreach ($orders as $item){
            $item['products']=$item->orderItems()->get();
        }

        return [
            'success' => true,
            'orders' => $orders,
        ];
    }
}
