<?php


namespace App\Services\Order;


use App\Models\Order;

class ChangeStatus
{
    public function change($id)
    {
        $order = Order::find($id);
        if (!$order) {
            return [
              'success' => false,
              'message' => 'سفارش مورد نظر یافت نشد'
            ];
        }
        $order->update([
            'active' => !$order->active
        ]);
        return [
            'success' => true,
            'message' => 'وضعیت با موفقیت تغییر کرد'
        ];
    }
}
