<?php


namespace App\Services\Order;


use App\Models\User;
use Illuminate\Http\Request;

class DeleteOrder
{
    public function delete(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        if ($user->orders()->get()->count()<$id){
            return [
                'success' => false,
                'message' => 'سفارش مورد نظر یافت نشد'
            ];
        }
        $order=$user->orders()->findOrFail($user->orders()->get()[$id-1]->id);
        $order->delete();
        return [
            'success' => true,
            'message' => 'سفارش کاربر با موفقیت حذف شد',
        ];
    }
}
