<?php


namespace App\Services\OrderItem;


use App\Models\Order;
use App\Models\User;
use Illuminate\Http\Request;

class ReadOrderItem
{
    public function read(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        $order=Order::findOrFail($user->orders()->get()->last()->id);
        if ($order->orderItems()->get()->count()<$id){
            return [
                'success' => false,
                'message' => 'تعداد محصولات ثبت شده در سفارش از عدد وارد شده کمتر است'
            ];
        }
        $order_item=$order->orderItems()->findOrFail($order->orderItems()->get()[$id-1]->id);
        return [
            'success' => true,
            'order_item' => $order_item
        ];
    }
}
