<?php


namespace App\Services\Permission;


use App\Models\Permission;

class DeletePermission
{
    public function delete($id)
    {
        $permission = Permission::query()->find($id);
        if (!$permission) {
            return [
                'success' => false,
                'message' => 'اجازه مورد نظر یافت نشد'
            ];
        }
        $permission->forceDelete();
        return [
            'success' => true,
            'message' => 'اجازه مورد نظر با موفقیت حذف گردید'
        ];
    }
}
