<?php


namespace App\Services\Product;


use App\Models\Category;
use App\Models\Product;

class StoreCategories
{
    public function all()
    {
        $categories = Category::query()
            ->whereNull('deleted_at')
            ->where('type', 'STORE')
            ->where('category_type', Product::class)
            ->get();
        return [
            'success' => true,
            'categories' => $categories
        ];
    }
}
