<?php


namespace App\Services\Promotion;


use App\Models\User;
use Illuminate\Http\Request;

class AllPromotions
{
    public function all(Request $request)
    {
        $user=User::findOrFail($request->user()->id);
        $promotions=$user->promotions()->get();
        return [
            'success' => true,
            'promotions' => $promotions,
        ];
    }
}
