<?php


namespace App\Services\Promotion;


use App\Models\User;
use Illuminate\Http\Request;

class DeletePromotion
{
    public function delete(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        $promotions=$user->promotions()->get();
        if ($promotions->count()<$id){
            return [
                'success' => false,
                'message' => 'کاربر این کد تخفیف را ندارد',
            ];
        }
        $promotion=$user->promotions()->findOrFail($promotions[$id-1]->id);
        $promotion->delete();
        return [
            'success' => true,
            'message' => 'تخفیف مورد نظر با موفقیت حذف شد',
        ];
    }
}
