<?php


namespace App\Services\Role;


use App\Models\Role;
use Illuminate\Http\Request;

class UpdateAccesses
{
    public function update(Request $request, $id)
    {
        $role = Role::find($id);
        if (!$role) {
            return [
                'success' => false,
                'message' => 'نقش مورد نظر یافت نشد'
            ];
        }
        $data = $request->validate([
            'accesses' => 'required'
        ]);
        $role->permissions()->toggle($data['accesses']);
        return [
            'success' => true,
            'message' => 'نقش به روزرسانی شد'
        ];
    }
}
