<?php


namespace App\Services\Sentence;


use App\Models\Sentence;

class DeleteSentence
{
    public function delete($id)
    {
        $sentence = Sentence::query()->find($id);
        if (!$sentence) {
            return [
                'success' => false,
                'message' => 'جمله مورد نظر یافت نشد',
            ];
        }
        $sentence->forceDelete();
        return [
            'success' => true,
            'message' => 'این جمله با موفقیت حذف شد',
        ];
    }
}
