<?php


namespace App\Services\Sentence;


use App\Models\Category;
use App\Models\Sentence;

class SentenceCategories
{
    public function show()
    {
        $categories = Category::with('tags')->where('category_type', '=', Sentence::class)->get();
        foreach ($categories as $category) {
            $category->count = Sentence::where('category_id', $category->id)->get()->count();
        }
        return [
            'success' => true,
            'categories' => $categories,
        ];
    }
}
