<?php


namespace App\Services\Settings;


use App\Http\Requests\SetBranchConfigRequest;
use App\Models\Settings;

class UpdateSettings
{
    /**
     * @param SetBranchConfigRequest $request
     * @return array
     */
    public function update(SetBranchConfigRequest $request): array
    {
        $settings = Settings::all()->last();
        $data=$request->validated();
        $settings->update($data);
        return [
            'success' => true,
            'message' => 'تنظیمات به روزرسانی شد',
        ];
    }
}
