<?php


namespace App\Services\Size;


use App\Models\Product;
use App\Models\Size;
use Illuminate\Support\Facades\DB;

class DeleteSize
{
    public function delete($id)
    {
        $size = Size::query()->find($id);
        if (!$size) {
            return [
                'success' => false,
                'message' => 'سایز مورد نظر یافت نشد'
            ];
        }
        $size->forceDelete();
        return [
            'success' => true,
        ];
    }

    public function deleteProductSize(Product $product, Size $size)
    {
        DB::table('product_size')->where('product_id', $product->id)->where('size_id', $size->id)->delete();
        return [
            'success' => true
        ];
    }
}
