<?php


namespace App\Services\Tag;


use App\Http\Requests\CreateTagRequest;
use App\Models\Category;

class CreateTag
{
    public function save(CreateTagRequest $request)
    {
        $data=$request->validated();
        $category=Category::find($data['category_id']);
        if (!$category){
            return [
                'success' => false,
                'message' => 'دسته بندی مورد نظر یافت نشد'
            ];
        }
        $tag=$category->tags()->create($data);
        return [
            'success' => true,
            'tag' => $tag,
        ];
    }
}
