<?php


namespace App\Services\Terms;


use App\Http\Requests\UpdateTermsRequest;
use App\Models\Terms;

class UpdateTerms
{
    public function update(UpdateTermsRequest $request,$id)
    {
        $term=Terms::find($id);
        if (!$term){
            return [
                'success' => false,
                'message' => 'این مورد یافت نشد',
            ];
        }
        $data=$request->validated();
        if (!isset($data['body'])){
            $data['body']=$term->body;
        }
        $term->update($data);
        return [
            'success' => true,
            'message' => 'این مورد با موفقیت به روزرسانی شد',
        ];
    }
}
