<?php


namespace App\Services\User;


use App\Models\User;
use Illuminate\Http\Request;

class ReadUser
{
    public function read($id)
    {
        $user=User::find($id);
        if (!$user){
            return [
                'success' => false,
                'message' => 'کاربر ک.رد نظر یافت نشد'
            ];
        }
        $user->load([
            'addresses',
            'notifications',
            'orders',
            'promotions',
            'referrals',
            'transactions',
            'profile',
            'credit',
            'cartItems',
            'rates'
        ]);
        return [
            'success' => true,
            'user' => $user
        ];
    }
}
