<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomerClubsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('customer_clubs', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->longText('data');
            $table->string('image');
            $table->string('right_title');
            $table->string('left_title');
            $table->text('right_data');
            $table->text('left_data');
            $table->string('bottom_image');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customer_clubs');
    }
}
