<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CreateAssociationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'full_name' => 'required',
            'real_estate_status' => 'required',
            'ownership_type' => 'required',
            'permission_type' => 'required',
            'phone' => 'required',
            'email' => 'required',
            'postal_code' => 'required',
            'description' => 'sometimes'
        ];
    }
}
