<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ProductMetaRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return $this->isMethod('post') ? $this->createRules() : $this->updateRules();
    }

    public function createRules()
    {
        return [
            'price' => 'required'
        ];
    }

    public function updateRules()
    {
        return [
            'price' => 'required'
        ];
    }
}
