<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Facades\Storage;
use Laravel\Sanctum\HasApiTokens;

class Slider extends Model
{
    use HasFactory,HasApiTokens,SoftDeletes;
    protected $guarded=[];

    public function getImageAttribute($value)
    {
        return Storage::url($value);
    }
    public function events()
    {
        return $this->hasMany(Event::class,'slider_id');
    }
}
