<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Laravel\Sanctum\HasApiTokens;

class Tag extends Model
{
    use HasFactory,HasApiTokens,SoftDeletes;
    protected $guarded=['id'];

    public function category()
    {
        return $this->belongsTo(Category::class,'category_id');
    }

    public function sentences()
    {
        return $this->hasMany(Sentence::class,'tag_id');
    }
}
