<?php

namespace App\Observers;

use App\Models\Promotion;
use Kavenegar\KavenegarApi;

class PromotionObserver
{
    public function created(Promotion $promotion)
    {
        $user = $promotion->user;
        $sms = new KavenegarApi(config('kavenegar.apikey'));
        $sms->VerifyLookup($user->phone_number, $user->firstname, $promotion->promotion_code, null, 'PROMOTION');
    }
}
