<?php


namespace App\Services\Admin;


use App\Models\Admin;
use Illuminate\Http\Request;

class ChangeAdminBranch
{
    public function changeBranch(Request $request, $id)
    {
        $request->validate([
            'branch_id' => ['required', 'exists:branches,id']
        ]);
        $admin = Admin::query()->find($id);
        if (!$admin) {
            return [
                'success' => false,
                'message' => 'ادمنی مورد نظر یافت نشد'
            ];
        }
        $admin->update([
            'branch_id' => $request->branch_id
        ]);
        return ['success' => true];
    }
}
