<?php


namespace App\Services\Admin;


use App\Http\Requests\UpdateAdminRequest;
use App\Models\Admin;

class UpdateAdmin
{
    public function update(UpdateAdminRequest $request,$id)
    {
        $admin=Admin::find($id);
        if (!$admin){
            return [
                'success' => false,
                'message' => 'ادمین مورد نظر یافت نشد'
            ];
        }
        $data=$request->validated();
        if (!isset($data['username'])){
            $data['username']=$admin->username;
        }
        if ($data['username']==null){
            $data['username']=$admin->username;
        }
        $admin->update($data);
        return [
            'success' => true,
            'admin' => $admin,
            'message' => 'ادمین مورد نظر با موفقیت به روزرسانی شد'
        ];


    }
}
