<?php


namespace App\Services\Association;


use App\Models\Association;

class ReadAssociation
{
    public function read($id)
    {
        $association = Association::query()->find($id);
        if (!$association) {
            return [
                'success' => false,
                'message' => 'درخواست همکاری مورد نظر یافت نشد.'
            ];
        }
        return [
            'success' => true,
            'association' => $association
        ];
    }
}
