<?php


namespace App\Services\Association;


use App\Http\Requests\UpdateAssociationRequest;
use App\Models\Association;

class UpdateAssociation
{
    public function update(UpdateAssociationRequest $request, $id)
    {
        $association = Association::query()->find($id);
        if (!$association) {
            return [
                'success' => false,
                'message' => 'درخواست همکاری مورد نظر یافت نشد.'
            ];
        }

        $association->update($request->all());
        return [
            'success' => true,
            'association' => $association
        ];
    }
}
