<?php


namespace App\Services\Branch;


use App\Models\Branch;

class ReadBranch
{
    /**
     * @param $id
     * @return array
     */
    public function find($id): array
    {
        $branch = Branch::with(['products', 'limitations', 'limitations.category'])->find($id);
        if (!$branch) {
            return [
                'success' => false,
                'message' => 'شعبه مورد نظر یافت نشد'
            ];
        }
        return [
            'success' => true,
            'branch' => $branch
        ];
    }
}
