<?php


namespace App\Services\Branch;


use App\Http\Requests\UpdateBranchProductsRequest;
use App\Models\Branch;

class UpdateBranchProducts
{
    public function update(UpdateBranchProductsRequest $request, $id)
    {
        $request->validated();
        $branch = Branch::query()->find($id);
        if (!$branch) {
            return [
                'success' => false,
                'message' => 'شعبه مورد نظر یافت نشد'
            ];
        }
        $branch->products()->sync($request->products);
        return [
            'success' => true,
        ];
    }
}
