<?php


namespace App\Services\CV;


use App\Models\CV;
use Illuminate\Support\Facades\Storage;

class AllCVs
{
    public function all()
    {
        $cvs = CV::query()->latest()->get();
        foreach ($cvs as $cv) {
            $cv->cv_file = Storage::url($cv->cv_file);
        }
        return [
            'success' => true,
            'cvs' => $cvs
        ];
    }
}
