<?php


namespace App\Services\CV;


use App\Http\Requests\UpdateCVRequest;
use App\Models\CV;

class UpdateCV
{
    public function update(UpdateCVRequest $request, $id)
    {
        $request->validated();
        $cv = CV::query()->find($id);
        return $cv == null ? [
            'success' => false,
            'message' => 'رزومه مورد نظر یافت نشد.'
        ] : [
            'success' => (boolean)$cv->update($request->all()),
            'cv' => $cv
        ];
    }
}
