<?php


namespace App\Services\CartItem;


use App\Models\Product;
use App\Models\User;
use Illuminate\Http\Request;

class AllCartItems
{
    public function all(Request $request)
    {
        $user=$request->user();
        $cart_items=$user->cartItems()->get();
        foreach ($cart_items as $item){
            $item['product']=Product::where('name','like','%'.$item->product.'%')->first();
        }
        if ($cart_items->count()==0){
            return [
                'success' => true,
                'cart_items' => [],
            ];
        }
        return [
            'success' => true,
            'cart_items' => $cart_items
        ];
    }
}
