<?php


namespace App\Services\Category;


use App\Models\Category;
use App\Models\Product;

class DeleteCategory
{
    public function delete($id)
    {
        $category = Category::query()->find($id);
        if (!$category) {
            return [
                'success' => false,
                'message' => 'دسته بندی مورد نظر یافت نشد'
            ];
        }
        Product::query()->where('category_id', $category->id)->delete();
        $category->delete();
        return [
            'success' => true,
            'message' => 'دسته بندی مورد نظر با موفقیت حذف شد',
        ];
    }
}
