<?php


namespace App\Services\Faq;


use App\Http\Requests\CreateFaqRequest;
use App\Models\Faq;

class CreateFaq
{
    public function create(CreateFaqRequest $request)
    {
        $request->validated();
        $faq = Faq::query()->create($request->validated());
        return [
            'success' => true,
            'faq' => $faq
        ];
    }
}
