<?php


namespace App\Services\Filter;


use Illuminate\Database\Eloquent\Model;

class AllFilters
{
    protected $model;

    public function __construct(Model $model)
    {
        $this->model = $model;
    }

    /**
     * @return array
     */
    public function all(): array
    {
        $data = $this->model::query()->get();
        return [
            'success' => true,
            'data' => $data
        ];
    }
}
