<?php


namespace App\Services\Filter;


use App\Http\Requests\FilterRequest;
use Illuminate\Database\Eloquent\Model;

class CreateFilter
{
    protected $model;

    public function __construct(Model $model)
    {
        $this->model = $model;
    }

    public function create(FilterRequest $request)
    {
        $data = $this->model::query()->create([
            'title' => $request->title
        ]);
        return [
            'success' => true,
            'data' => $data
        ];
    }
}
