<?php


namespace App\Services\Filter;


use Illuminate\Database\Eloquent\Model;

class DeleteFilter
{
    protected $model;

    public function __construct(Model $model)
    {
        $this->model = $model;
    }

    public function delete($id)
    {
        $filter = $this->model::query()->find($id);
        if (!$filter) {
            return [
                'success' => false,
                'message' => 'فیلتر مورد نظر یافت نشد'
            ];
        }
        $filter->delete();
        return [
            'success' => true
        ];
    }
}
