<?php


namespace App\Services\InstaPic;


use App\Models\InstaPic;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class CreateInstaPic
{
    public function create(Request $request)
    {
        $image = $request->image;
        $filename = time() . '_' . Str::random(5) . '.' . $image->getClientOriginalExtension();
        $insta_pic = InstaPic::query()->create([
            'image' => $filename
        ]);
        Storage::putFileAs('/', $image, $filename);
        return [
            'success' => true,
            'insta_pics' => $insta_pic
        ];
    }
}
