<?php


namespace App\Services\Notification;


use App\Models\User;
use Illuminate\Http\Request;

class AllNotifications
{
    protected $notifications;
    public function all(Request $request)
    {
        $user=$request->user();
        $this->notifications = $user->notifications()->orderByDesc('created_at')->get();
        if ($request->user() instanceof User) {
            $user->notifications()->update([
                'active' => false
            ]);
        }
        return [
            'success' => true,
            'notifications' => $this->notifications,
        ];
    }
}
