<?php


namespace App\Services\Notification;


use App\Models\User;
use Illuminate\Http\Request;

class DeleteNotification
{
    public function delete(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        $count=$user->notifications()->get()->count();
        if ($id>$count){
            return [
                'success' => false,
                'message' => 'پیام مورد نظر یافت نشد'
            ];
        }
        $address=$user->notifications()->get()[$id-1];
        $user->notifications()->findOrFail($address->id)->delete();
        return [
            'success' => true,
            'message' => 'پیام مورد نظر با موفقیت حذف شد'
        ];
    }
}
