<?php


namespace App\Services\Notification;


use App\Models\User;
use Illuminate\Http\Request;

class MarkAsRead
{
    public function mark_as_read(Request $request)
    {
        $user=User::findOrFail($request->user()->id);
        $notifications=$user->notifications();
        $count=$notifications->get()->count();
        if ($count==0){
            return [
                'success' => true,
                'message' => 'پیامی برای این کاربر وجود ندارد'
            ];
        }
        $notifications->where('active',true)->update([
            'active' => false,
        ]);
        return [
            'success' => true,
            'message' => 'همه پیام ها دیده شد!'
        ];
    }
}
