<?php


namespace App\Services\Notification;


use App\Http\Requests\UpdateNotificationRequest;
use App\Models\Notification;
use App\Models\User;

class UpdateNotification
{
    public function update(UpdateNotificationRequest $request,$id)
    {
        $notification = Notification::find($id);
        if (!$notification) {
            return [
                'success' => false,
                'message' => 'پیام مورد نظر یافت نشد'
            ];
        }
        $text = $request->text;
        $notification->text = $text;
        $notification->active = true;
        $notification->save();
        return [
            'success' => true,
        ];
    }
}
