<?php


namespace App\Services\Order;


use App\Models\User;
use Illuminate\Http\Request;

class ReadOrder
{
    public function read(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        if ($user->orders()->get()->count()<$id){
            return [
                'success' => false,
                'message' => 'سفارش مورد نظر پیدا نشد'
            ];
        }
        $order=$user->orders()->findOrFail($user->orders()->get()[$id-1]->id);
        return [
            'success' => true,
            'order' => $order,
        ];
    }
}
