<?php


namespace App\Services\OrderItem;


use App\Models\Order;
use App\Models\OrderItem;
use App\Models\User;
use Illuminate\Http\Request;

class AllOrderItems
{
    public function all(Request $request)
    {
        $user=User::findOrFail($request->user()->id);
        $orders=$user->orders()->get();
        $history=[];
        foreach ($orders as $item){
            $order_history=OrderItem::where('order_id',$item->id)->get();
            $history[]=$order_history;
        }
        return [
            'success' => true,
            'order_items' => $history,
        ];
    }
}
