<?php


namespace App\Services\Permission;


use App\Http\Requests\CreatePermissionRequest;
use App\Models\Permission;

class CreatePermission
{
    public function save(CreatePermissionRequest $request)
    {
        $data = $request->validated();
        $permission = Permission::create($data);
        return [
            'success' => true,
            'permission' => $permission,
        ];
    }
}
