<?php


namespace App\Services\Permission;


use App\Models\Permission;

class ReadPermission
{
    public function read($id)
    {
        $permission = Permission::with('role')->find($id);
        if (!$permission) {
            return [
                'success' => false,
                'message' => 'اجازه مورد نظر یافت نشد'
            ];
        }
        return [
            'success' => true,
            'permission' => $permission,
        ];
    }
}
