<?php


namespace App\Services\Product;


use App\Models\Product;

class DeleteProduct
{
    /**
     * @param $id
     * @return array
     */
    public function delete($id): array
    {
        $product=Product::query()->find($id);
        if (!$product){
            return [
                'success' => false,
                'message' => 'محصول مورد نظر یافت نشد',
            ];
        }
        $product->forceDelete();
        return [
            'success' => true,
            'message' => 'محصول مورد نظر با موفقیت حذف شد',
        ];
    }
}
