<?php


namespace App\Services\Promotion;


use App\Models\User;
use Illuminate\Http\Request;

class ReadPromotion
{
    public function read(Request $request,$id)
    {
        $user=User::findOrFail($request->user()->id);
        $promotions=$user->promotions()->get();
        if ($promotions->count()<$id){
            return [
                'success' => false,
                'message' => 'کاربر این کد تخفیف را ندارد',
            ];
        }
        $promotion=$user->promotions()->findOrFail($promotions[$id-1]->id);
        return [
            'success' => true,
            'promotion' => $promotion,
        ];
    }
}
