<?php


namespace App\Services\Role;


use App\Models\Role;

class ReadRole
{
    public function read($id)
    {
        $role = Role::with('permissions')->find($id);
        if (!$role){
            return [
                'success' => false,
                'message' => 'نقش مورد نظر یافت نشد'
            ];
        }
        return [
            'success' => true,
            'role' => $role,
        ];
    }
}
