<?php


namespace App\Services\Size;


use App\Models\Size;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\Validator;

class CreateSize
{

    public function create(Request $request)
    {
        Validator::validate($request->all(), [
            'size' => 'required'
        ], [
            'size.required' => 'وارد کردن سایز الزامیست'
        ]);
        $size = new Size();
        $size->size = $request->size;
        $size->save();
        return [
            'success' => true,
            'size' => $size
        ];
    }
}
