<?php


namespace App\Services\Slider;


use App\Models\Slider;

class DeleteSlider
{
    public function delete($id)
    {
        $slider = Slider::query()->find($id);
        if (!$slider){
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر پیدا نشد',
            ];
        }
        $slider->forceDelete();
        return [
            'success' => true,
            'message' => 'اسلایدر مورد نظر با موفقیت حذف شد',
        ];
    }
}
