<?php


namespace App\Services\Slider;


use App\Http\Requests\UpdateSliderTitleRequest;
use App\Models\Slider;

class UpdateSliderTitle
{
    public function update(UpdateSliderTitleRequest $request, $id)
    {
        $slider = Slider::find($id);
        if (!$slider) {
            return [
                'success' => false,
                'message' => 'اسلایدر مورد نظر یافت نشد'
            ];
        }
        $slider->page_title = $request->title;
        $slider->save();
        return [
            'success' => true,
            'message' => 'عنوان اسلایدر مورد نظر با موفقیت به روزرسانی شد'
        ];
    }
}
