<?php


namespace App\Services\Terms;


use App\Http\Requests\CreateTermsRequest;
use App\Models\Notification;
use App\Models\Terms;
use App\Models\User;

class CreateTerms
{
    public function save(CreateTermsRequest $request)
    {
        $data=$request->validated();
        Terms::create($data);
        $users = User::query()->cursor();
        foreach ($users as $user) {
            Notification::query()->create([
                'text' => 'قوانین و مقررات به روز رسانی شده است، لطفا مطالعه بفرمایید.',
                'user_id' => $user->id,
            ]);
        }
        return [
            'success' => true,
            'message' => 'قوانین و مقررات جدیدی ایجاد شد',
        ];
    }
}
