<?php


namespace App\Services\Transaction;


use App\Models\Transaction;

class AllTransactions
{
    public function all()
    {
        $transactions = Transaction::with('user')->whereHas('user')->orderByDesc('created_at')->paginate(30);
        return [
            'success' => true,
            'transactions' => $transactions,
        ];
    }
}
