<?php


namespace App\Services\User;


use App\Models\User;
use Illuminate\Http\Request;

class UpdateUserFromAdmin
{
    public function updateFromAdmin(Request $request,$id)
    {
        $user=User::find($id);
        if (!$user){
            return [
                'success' => false,
                'message' => 'کاربر یافت نشد'
            ];
        }
        $data=$request->validate([
            'firstname' => 'required',
            'lastname' => 'required',
        ]);
        $user->update($data);
        return [
            'success' => true,
            'user' => $user,
        ];
    }
}
