<?php


namespace App\Services\WebsiteSlider;


use App\Models\WebsiteSlider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class CreateWbSlider
{
    public function create(Request $request)
    {
        $image = $request->image;
        $filename = time() . '_' . Str::random(5) . '.' . $image->getClientOriginalExtension();
        $slider = WebsiteSlider::query()->create([
            'image' => $filename
        ]);
        Storage::putFileAs('/', $image, $filename);
        return [
            'success' => true,
            'slider' => $slider
        ];
    }
}
