<!doctype html>
<html lang="fa">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>PDF</title>
    <style>

        * {
            font-family: Yekan, serif;
        }

        .sentences {
            display: flex;
            margin: 10px;
            justify-content: space-between;

        }

        .english {
            float: left;
        }

        .farsi {
            float: right;
        }

        .container {
            max-width: 1440px;
            margin: 10px auto;
        }

    </style>
</head>
<body>
<div class="container">
    @if(!empty($sentences))
        @foreach($sentences as $key => $sentence)
            <div class="sentences">
                @if(isset($sentence))
                    <span class="english">{{$sentence}}</span>
                @endif
                @if(isset($frames[$key]))
                    <span class="farsi">{{$frames[$key]}}</span>
                @endif
            </div>
            <br>
        @endforeach
    @else
        <span>این PDF خالیست...</span>
    @endif
</div>
</body>
</html>
